##Layer_paths=multiple raster
##Folder_to_save_in=folder
##QML_file=file
from qgis.core import *
from qgis.utils import iface
import os

#You can easily hard-code the folder in, so you don't have to specify it each time
#In that case you can just remove the 2. and 3. lines, and uncomment this next one:
#QML_file = "pathtofile\sentinel-marble.qml"


layers= Layer_paths.split(';')
for i, layer_path in enumerate(layers):
    percent = int(100 * i / len(layers))
    progress.setPercentage(percent)
    
    layer = processing.getObjectFromUri(layer_path)
    if os.path.exists(QML_file):
        layer.loadNamedStyle(QML_file)
        iface.legendInterface().refreshLayerSymbology(layer) \
     
    extent = layer.extent()
    width = layer.width()
    height = layer.height()
    renderer = layer.renderer()
    provider=layer.dataProvider()
    pipe = QgsRasterPipe()
    pipe.set(provider.clone())
    pipe.set(renderer.clone())
    crs = layer.crs().toWkt()


    file_path = Folder_to_save_in + "/" + layer.name() + ".tif"
    layername = ""

    if os.path.exists(Folder_to_save_in):
        layer_name = "Currently writing: " + layer.name()
        progress.setText(layer_name)
        file_writer = QgsRasterFileWriter(file_path)
        ret = file_writer.writeRaster(pipe,
                            width,
                            height,
                            extent,
                            layer.crs())
    else:
        progress.setText("Error: file path does not exist.")
